Send order content by email
Send order content by email.
Content and form is decided by type. orderItemUids is omitted when type is RECEIPT
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
typestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| RECEIPT | Send sales receipt as email |
| GIFTCARD | Send giftcard as email |
emailstringRequired
orderItemUidsstring[]Optional
Responses
201
Created
No content
400
Bad Request
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58
{
"type": "RECEIPT",
"email": "text",
"orderItemUids": [
"text"
]
}No content
Last updated
Was this helpful?

